[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListStrings.InsertItem

Inserts an item with the specified value at the position in Index.

## Declaration

Source position: valedit.pas line 89

`protected procedure TValueListStrings.InsertItem(`
`Index: Integer;`
`const S: string;`
`AObject: TObject`
`); override; procedure TValueListStrings.InsertItem(`
`Index: Integer;`
`const S: string`
`); override;`

## Arguments

`Index` |  | Ordinal position for the new item and value.
`S` |  | Value for the new item.
`AObject` |  | Object with the definition for the new item.

## Arguments

`Index` |  | Ordinal position for the new item and value.
`S` |  | Value for the new item.

## Description

InsertItem is an overloaded procedure used to insert an item with the specified value(s) at the position in Index.

InsertItem hides a visible cell editor in the control during the insert operation. InsertItem calls the TItemPropList.Insert method to insert a new item definition at the position in Index. A visible cell editor is restored after the item has been inserted.

## See also

TItemPropList.Insert |  | Inserts the new item at the specified position in the container.
TStringList